# OpenLayers.Format.WMC.v1_1_0

Read and write WMC version 1.1.0.

#### Differences between 1.1.0 and 1.0.0

- 1.1.0 Layers have optional sld:MinScaleDenominator and sld:MaxScaleDenominator

#### Inherits from

- OpenLayers.Format.WMC.v1

Summary

OpenLayers.Format.WMC.v1_1_0 | Read and write WMC version 1.1.0.
Constants |
VERSION | {String} 1.1.0
Properties |
schemaLocation | {String} http://www.opengis.net/context http://schemas.opengis.net/context/1.1.0/context.xsd
Constructor |
OpenLayers.Format.WMC.v1_1_0 | Instances of this class are not created directly.
Functions |
read_sld_MinScaleDenominator | Read a sld:MinScaleDenominator node.
read_sld_MaxScaleDenominator | Read a sld:MaxScaleDenominator node.
read_wmc_SRS |
write_wmc_Layer | Create a Layer node given a layer context object.

### Constants

### VERSION

{String} 1.1.0

### Properties

### schemaLocation

{String} http://www.opengis.net/context http://schemas.opengis.net/context/1.1.0/context.xsd

### Constructor

### OpenLayers.Format.WMC.v1_1_0

Instances of this class are not created directly. Use the OpenLayers.Format.WMC constructor instead.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### read_sld_MinScaleDenominator

> read_sld_MinScaleDenominator: function( | layerContext,
> | node | )

Read a sld:MinScaleDenominator node.

#### Parameters

layerContext | {Object} An object representing a layer.
node | {Element} An element node.

### read_sld_MaxScaleDenominator

> read_sld_MaxScaleDenominator: function( | layerContext,
> | node | )

Read a sld:MaxScaleDenominator node.

#### Parameters

layerContext | {Object} An object representing a layer.
node | {Element} An element node.

### read_wmc_SRS

> read_wmc_SRS: function( | layerContext,
> | node | )

### write_wmc_Layer

> write_wmc_Layer: function( | context | )

Create a Layer node given a layer context object. This method adds elements specific to version 1.1.0.

#### Parameters

context | {Object} A layer context object.}

#### Returns

{Element} A WMC Layer element node.

> read_sld_MinScaleDenominator: function( | layerContext,
> | node | )

Read a sld:MinScaleDenominator node.

> read_sld_MaxScaleDenominator: function( | layerContext,
> | node | )

Read a sld:MaxScaleDenominator node.

> read_wmc_SRS: function( | layerContext,
> | node | )

> write_wmc_Layer: function( | context | )

Create a Layer node given a layer context object.
Superclass for WMC version 1 parsers.
Read and write Web Map Context documents.
Close